# Module lease_checker2

- Description
- Data Types
- Function Index
- Function Details

check ring.

Copyright © 2012-2015 Zuse Institute Berlin,

Version: $Id$

Authors: Thorsten Schuett (`schuett@zib.de`).

## Description

check ring.

## Data Types

### leases_state()

    leases_state() =
        #leases_state_t{last_check = erlang:timestamp(),
                        node_infos = node_list(),
                        last_failed = boolean()}

### node_info()

    node_info() =
        #node_info_t{lease_list = lease_list:lease_list(),
                     my_range = intervals:interval()}

### node_list()

    node_list() = gb_trees:tree(comm:mypid(), node_info() | empty)

## Function Index

get_kv_db/0 |
get_kv_db/1 |
wait_for_clean_leases/1 |
wait_for_clean_leases/2 |

## Function Details

### wait_for_clean_leases/2

    wait_for_clean_leases(WaitTimeInMs :: pos_integer(),
                          TargetSize :: pos_integer()) ->
                             ok

### wait_for_clean_leases/1

    wait_for_clean_leases(WaitTimeInMs :: pos_integer()) -> ok

### get_kv_db/0

    get_kv_db() -> ok

### get_kv_db/1

    get_kv_db(Pid :: term()) -> ok

Generated by EDoc, Feb 29 2016, 16:12:12.